/* -*- Mode: C; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 2 -*-
 *
 * The contents of this file are subject to the Mozilla Public 
 * License version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or 
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Initial Developer of the Original Code is R.V.Guha. Portions
 * created by R.V.Guha are copyright (c) 2000 R.V.Guha. All Rights
 * Reserved.
 *
 * Contributors : Jasper van de Gronde (version and extra printf)
 */

#include "rdf-int.h"
#include <stdio.h>
#include "../utils/utils.h"
#include "contentSource.h"

void InitQueryParser () ;
void InitializeProcessQuery();
void testParser () ;
int openService();
void shutDown(void);

#define VERSION "0.47 (Sept 08 2001), modified March 14 2004"
//#define VERSION "0.47 (Sept 08 2001), modified March 10 2004"
//#define VERSION "0.47 (Sept 08 2001), modified Feb 13 2004"

int
main () {
  printf("\n\nrdfDB server %s.\n", VERSION);
  printf("For more information see http://www.guha.com/rdfdb/\n");
  printf("And see http://home.hccnet.nl/th.v.d.gronde/dev/rdfdb/ for information about the modifications and the win32 port.\n\n");
  RDF_Initialize();
  InitQueryParser() ;
  InitializeProcessQuery();
  openService(); 
  shutDown(); /* This normally isn't shouldn't be called, only when an error occurs within openService */
  exit(0);
}
