
#ifndef RDFDB_SERVER_CONNECTION_H
#define RDFDB_SERVER_CONNECTION_H

typedef enum {
  CONNECTION_ALIVE,
  CONNECTION_ENDED
} ClientStatus;

typedef struct _NamespaceStruct {
  char* prefix;
  char* url;
  struct _NamespaceStruct *next;
} NamespaceStruct;

typedef NamespaceStruct *Namespace;

typedef struct _ClientConnectionStruct {
#ifdef WIN32
  unsigned int socket;
#else
  int socket;
#endif
  ClientStatus status;
  Namespace namespaces;
  struct _ClientConnectionStruct* next;
} ClientConnectionStruct;

typedef ClientConnectionStruct *ClientConnection;

#endif//RDFDB_SERVER_CONNECTION_H